# SubscribeToMailList

### Description

Subscribes or unsubscribes a user from the mailing list.

```csharp
 bool SubscribeToMailList (string webServiceUrl, 
                           string customerEmail, 
                           bool includeInMailList, 
                           sout string response)
```

```http
<http://server/qlm/qlmservice.asmx/SubscribeToMailListHttp?is_email=user@cie.com&is_include=1>
```

### Parameters

| Parameter         |    Type    | Description                                     |
| ----------------- | :--------: | ----------------------------------------------- |
| webServiceUrl     |   string   | URL to the QLM License Server                   |
| customerEmail     |   string   | email address of the customer                   |
| includeInMailList |    bool    | true to subscribe, false to unsubscribe         |
| response          | out string | XML fragment containing the result of the call. |

### Response XML format

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<result>Succesfully subscribed customer.</result>
</QuickLicenseManager>
 
```

### Example error response

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<error>Details about the error</error>
</QuickLicenseManager>
```

### Return

| Type | Description                          |
| ---- | ------------------------------------ |
| bool | true if successful; otherwise false. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/subscribetomaillist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
